# stuff to be implemented externally:
Source10: kmodtool
%define   kmodtool bash %{SOURCE10}
# end stuff to be ...

# hardcode for now:
%{!?kversion: %define kversion 2.6.25.9-40.fc8}

%define kmod_name ieee1394
%define kverrel %(%{kmodtool} verrel %{?kversion} 2>/dev/null)

%define upvar ""
%ifarch i686
%define paevar PAE
%endif
%ifarch ppc
%define smpvar smp
# kdump-devel missing
#define kdumpvar kdump
%endif
%ifarch i686 x86_64
# xen uses a different version; ignore
#define xenvar xen
# don't build for debug kernels
#define debugvar debug PAE-debug
%endif
%{!?kvariants: %define kvariants %{?upvar} %{?smpvar} %{?paevar} %{?xenvar} %{?kdumpvar} %{?debugvar} %{?paedebugvar}}

Name:          ieee1394-kmod
Version:       2.6.25.9
Release:       1.%(echo %{kverrel} | tr - _)
# Taken over by kmodtool
Summary:       Legacy ieee1394  kernel modules
Group:         System Environment/Kernel
License:       GPLv2
URL:           http://www.kernel.org
Source0:       http://kwizart.free.fr/fedora/SOURCES/%{kmod_name}-%{version}.tar.bz2
Source1:      %{kmod_name}-snapshot.sh
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)



# Taken over by kmodtool anyways
%description
The ieee1394 legacy %{version} display driver kernel module for kernel %{kversion}.

# magic hidden here:
%{expand:%(%{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null)}


%prep
# to understand the magic better or to debug it, uncomment this:
#{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null
#sleep 5
%setup -q -c -T -a 0
#pushd %{kmod_name}-%{version}
#popd

for kvariant in %{kvariants} ; do
    cp -a %{kmod_name}-%{version} _kmod_build_$kvariant
done


%build
for kvariant in %{kvariants}
do
    cd _kmod_build_$kvariant
make -C %{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu} SUBDIRS=`pwd` modules \
	CONFIG_IEEE1394=m \
	CONFIG_IEEE1394_OUI_DB=y \
	CONFIG_IEEE1394_EXTRA_CONFIG_ROMS=y \
	CONFIG_IEEE1394_CONFIG_ROM_IP1394=n \
	CONFIG_IEEE1394_ETH1394_ROM_ENTRY=y \
	CONFIG_IEEE1394_PCILYNX=m \
	CONFIG_IEEE1394_OHCI1394=m \
	CONFIG_IEEE1394_VIDEO1394=m \
	CONFIG_IEEE1394_SBP2=m \
	CONFIG_IEEE1394_ETH1394=n \
	CONFIG_IEEE1394_DV1394=m \
	CONFIG_IEEE1394_RAWIO=m
    cd ..
done


%install
rm -rf $RPM_BUILD_ROOT
for kvariant in %{kvariants}
do
    ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
    cd _kmod_build_$kvariant
mkdir -p $RPM_BUILD_ROOT/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}
install -m 0755 *.ko $RPM_BUILD_ROOT/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}
    cd ..
done
chmod 0755 $RPM_BUILD_ROOT/lib/modules/*/extra/%{kmod_name}/*


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Thu Jul  3 2008 kwizart <kwizart at gmail.com > - 2.6.25.9-1
- Update to 2.6.25.9

* Sat Jun  7 2008 kwizart <kwizart at gmail.com > - 2.6.25.6-1
- Update to 2.6.25.6

* Sat Jun  7 2008 kwizart <kwizart at gmail.com > - 2.6.25.4-1
- Update to 2.6.25.4

* Fri May 16 2008 kwizart <kwizart at gmail.com > - 2.6.24.7-1
- Update to 2.6.24.7

* Tue Apr  3 2008 kwizart <kwizart at gmail.com > - 2.6.24.4-1
- Update to 2.6.24.4 snapshoot

* Wed Dec 26 2007 kwizart <kwizart at gmail.com > - 2.6.23.9-85
- Update to 2.6.23.9

* Wed Dec 05 2007 nAruto_Elrond <elrond94 at hotmail.com > - 2.6.23.8-63
- Update to kernels 2.6.23.8

* Sat Nov 10 2007 kwizart <kwizart at gmail.com > - 2.6.23.1-1
- Update to kernels 2.6.23.1

* Fri Oct 12 2007 kwizart <kwizart at gmail.com > - 2.6.22.9-1
- Intial kmod package.

